import http from '@/utils/request'

// 薪酬报告字典
export function getDict () {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/get/dict')
}

// 薪酬报告部门
export function getDeptDict () {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/get/dept/list')
}

// 薪酬报告职位
export function getPositionDict () {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/get/position/list')
}

// 集团薪酬职位分位值
export function getByDeptNameList (param) {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/calculate/by/dept/v2', param)
}

// 集团薪酬职位分位值
export function getByPositionList (param) {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/calculate/by/position/v2', param)
}

// 获取薪酬分位值统计 无参
export function getStatistics (param) {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/get/statistics', param)
}

// 获取薪酬分位值统计 无参
export function getCityClassification () {
  return http.post('/digitizationData/menduner/salary/percentile/analysis/get/city/classification')
}

// 导出所有
export function questionnaireExport () {
  return http.download('/digitizationData/menduner/questionnaire/export ')
}

// 导出数据 部门
export function questionnaireExportByDept () {
  return http.download('/digitizationData/menduner/salary/percentile/analysis/export/by/dept/v2')
}

// 导出数据
export function questionnaireExportByPosition () {
  return http.download('/digitizationData/menduner/salary/percentile/analysis/export/by/position/v2')
}

// （门墩儿）校验验证码
export function checkVerificationCode (params) {
  return http.post('/digitizationData/questionnaire/shot/message/verification/code', params)
}

// 权限检测
export function checkQuestionnaireRole (param) {
  return http.post('/digitizationData/questionnaire/role/check', param)
}
